std::tr2 Namespace Reference

## Namespaces

| __detail

## Classes

struct | __dynamic_bitset_base
struct | __reflection_typelist
struct | __reflection_typelist< _First, _Rest...>
struct | __reflection_typelist<>
struct | bases
class | bool_set
struct | direct_bases
class | dynamic_bitset

## Functions

bool | certainly (bool_set __b)
bool | contains (bool_set __s, bool_set __t)
bool | equals (bool_set __s, bool_set __t)
bool | is_emptyset (bool_set __b)
bool | is_indeterminate (bool_set __b)
bool | is_singleton (bool_set __b)
bool_set | operator!= (bool __s, bool_set __t)
bool_set | operator!= (bool_set __s, bool __t)
bool_set | operator!= (bool_set __s, bool_set __t)
bool_set | operator& (bool __s, bool_set __t)
bool_set | operator& (bool_set __s, bool __t)
template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const dynamic_bitset< _WordT, _Alloc > &__x)
bool_set | operator== (bool __s, bool_set __t)
bool_set | operator== (bool_set __s, bool __t)
template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, dynamic_bitset< _WordT, _Alloc > &__x)
bool_set | operator^ (bool __s, bool_set __t)
bool_set | operator^ (bool_set __s, bool __t)
bool_set | operator| (bool __s, bool_set __t)
bool_set | operator| (bool_set __s, bool __t)
bool | possibly (bool_set __b)
bool_set | set_complement (bool_set __b)
bool_set | set_intersection (bool __s, bool_set __t)
bool_set | set_intersection (bool_set __s, bool __t)
bool_set | set_intersection (bool_set __s, bool_set __t)
bool_set | set_union (bool __s, bool_set __t)
bool_set | set_union (bool_set __s, bool __t)
bool_set | set_union (bool_set __s, bool_set __t)
template<typename _WordT , typename _Alloc >
bool | operator!= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc >
bool | operator<= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc >
bool | operator> (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc >
bool | operator>= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc >
dynamic_bitset< _WordT, _Alloc > | operator& (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc >
dynamic_bitset< _WordT, _Alloc > | operator| (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc >
dynamic_bitset< _WordT, _Alloc > | operator^ (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc >
dynamic_bitset< _WordT, _Alloc > | operator- (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)

## Detailed Description

ISO C++ TR2 entities toplevel namespace is std::tr2.

## Function Documentation

template<typename _WordT , typename _Alloc >

bool std::tr2::operator!= | ( | const dynamic_bitset< _WordT, _Alloc > & | __lhs,
|  | const dynamic_bitset< _WordT, _Alloc > & | __rhs
| ) |  |

inline

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1156 of file dynamic_bitset.

template<typename _WordT , typename _Alloc >

dynamic_bitset<_WordT, _Alloc> std::tr2::operator& | ( | const dynamic_bitset< _WordT, _Alloc > & | __x,
|  | const dynamic_bitset< _WordT, _Alloc > & | __y
| ) |  |

inline

Global bitwise operations on bitsets.

Parameters

  __x | A bitset.
  __y | A bitset of the same size as __x.

Returns
  A new bitset.

These should be self-explanatory.

Definition at line 1191 of file dynamic_bitset.

template<typename _WordT , typename _Alloc >

dynamic_bitset<_WordT, _Alloc> std::tr2::operator- | ( | const dynamic_bitset< _WordT, _Alloc > & | __x,
|  | const dynamic_bitset< _WordT, _Alloc > & | __y
| ) |  |

inline

Global bitwise operations on bitsets.

Parameters

  __x | A bitset.
  __y | A bitset of the same size as __x.

Returns
  A new bitset.

These should be self-explanatory.

Definition at line 1221 of file dynamic_bitset.

template<typename _WordT , typename _Alloc >

bool std::tr2::operator<= | ( | const dynamic_bitset< _WordT, _Alloc > & | __lhs,
|  | const dynamic_bitset< _WordT, _Alloc > & | __rhs
| ) |  |

inline

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1162 of file dynamic_bitset.

template<typename _WordT , typename _Alloc >

bool std::tr2::operator> | ( | const dynamic_bitset< _WordT, _Alloc > & | __lhs,
|  | const dynamic_bitset< _WordT, _Alloc > & | __rhs
| ) |  |

inline

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1168 of file dynamic_bitset.

template<typename _WordT , typename _Alloc >

bool std::tr2::operator>= | ( | const dynamic_bitset< _WordT, _Alloc > & | __lhs,
|  | const dynamic_bitset< _WordT, _Alloc > & | __rhs
| ) |  |

inline

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1174 of file dynamic_bitset.

template<typename _WordT , typename _Alloc >

dynamic_bitset<_WordT, _Alloc> std::tr2::operator^ | ( | const dynamic_bitset< _WordT, _Alloc > & | __x,
|  | const dynamic_bitset< _WordT, _Alloc > & | __y
| ) |  |

inline

Global bitwise operations on bitsets.

Parameters

  __x | A bitset.
  __y | A bitset of the same size as __x.

Returns
  A new bitset.

These should be self-explanatory.

Definition at line 1211 of file dynamic_bitset.

template<typename _WordT , typename _Alloc >

dynamic_bitset<_WordT, _Alloc> std::tr2::operator| | ( | const dynamic_bitset< _WordT, _Alloc > & | __x,
|  | const dynamic_bitset< _WordT, _Alloc > & | __y
| ) |  |

inline

Global bitwise operations on bitsets.

Parameters

  __x | A bitset.
  __y | A bitset of the same size as __x.

Returns
  A new bitset.

These should be self-explanatory.

Definition at line 1201 of file dynamic_bitset.